Anonymous Login
2019-12-10 21:24 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001504v3.2 ReleaseProjectspublic2014-07-16 21:30
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version3.2 
Summary0001504: import from project drop down is empty even for template project
Descriptionmy understanding was that the dropdown currently offers those projects that have template status.

At this moment, that dropdown box is empty
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003329

opto (manager)

this is either a dP upgrade problem, or a w2p upgrade problem:

it seems there is now a field in sysadmin that holds the templateid.
This is somewhat illogic because in sysvals template is defined as 6.

nevertheless, this field is empty.
I don't remember whether we had this field already in 3.0.0 or not, anycase, in 3.0.0, I saw all projects for import.

So somewhere along the line, we forgot to ask the user to enter the template id into sysadmin or forgot to do it automatically.

we could do that on startup of sysadfmin: check whether templateid is a valid int, if not, require to set it.

either in the dP-> w2p update, or in an w2p 2.x to w2p 3.2.0 update

~0003330

opto (manager)

changed severity to minor as there is a workaround

~0003478

caseydk (administrator)

This was only an issue for dotproject upgrades, not new installs. Regardless, I've resolved it here in the conversion process:
https://github.com/web2project/web2project/commit/68107221bc8757759bba5d1ec77d179bed6f5fba
and here if you've already upgraded:
https://github.com/web2project/web2project/commit/68107221bc8757759bba5d1ec77d179bed6f5fba
+Notes

-Issue History
Date Modified Username Field Change
2014-04-23 01:25 opto New Issue
2014-04-23 08:19 opto Note Added: 0003329
2014-04-23 08:20 opto Note Added: 0003330
2014-04-23 08:20 opto Severity major => minor
2014-05-09 00:23 caseydk Project v3.2 Release => v4.0 Release (Planning)
2014-06-10 22:49 caseydk Target Version => 4.0
2014-06-14 17:05 caseydk Project v4.0 Release (Planning) => v3.2 Release
2014-06-14 17:11 caseydk Note Added: 0003478
2014-06-14 17:11 caseydk Status new => resolved
2014-06-14 17:11 caseydk Fixed in Version => 3.2
2014-06-14 17:11 caseydk Resolution open => fixed
2014-06-14 17:11 caseydk Assigned To => caseydk
2014-07-16 21:30 caseydk Status resolved => closed
+Issue History